Skip to main content
PATCH
Update a customer

Authorizations

X-SALESBRICKS-KEY
string
header
required

API key for authentication

Path Parameters

customer_id
string
required
Pattern: ^([a-zA-Z\d\-]+)$

Body

Customer patch input serializer for updating an existing customer. Uses DRF's built-in partial update mechanism.

name
string

The name of the customer

Optional legal name of the customer, used as the buyer name on invoices

external_id
string

Optional external id of the customer

address
object

The address of the customer

stripe_customer_id
string

Optional Stripe customer ID to associate with this customer

tax_id
string | null

Tax identification number (e.g., EIN, VAT number)

Response

Customer output serializer; we can represent the customer model differently depending on the request so we need a custom serializer for the output.

customer_id
string<uuid>
required

The ID of the customer

name
string
required

The name of the customer

The legal name of the customer, used as the buyer name on invoices. Falls back to name when no legal name is set.

subscriptions
object[]
required
read-only

List of subscriptions associated with this customer

external_id
string | null

The external id of the customer

Maximum string length: 255
address
object

The address of the customer

stripe_customer_id
string | null

The companies stripe customer_id

Maximum string length: 255
tax_id
string | null

Tax identification number (e.g., EIN, VAT number)